aboutsummaryrefslogtreecommitdiff
path: root/scripts/enable.sh
diff options
context:
space:
mode:
authorJavier <dev.git@javispedro.com>2022-01-29 17:01:28 +0100
committerJavier <dev.git@javispedro.com>2022-01-29 23:07:56 +0100
commit54b754ce040d5549d5c58428d2b9c095601e98dc (patch)
tree1b35f1dca54088b967fe5587ec43b98cf72e3825 /scripts/enable.sh
downloadvmusic-54b754ce040d5549d5c58428d2b9c095601e98dc.tar.gz
vmusic-54b754ce040d5549d5c58428d2b9c095601e98dc.zip
initial import
Diffstat (limited to 'scripts/enable.sh')
-rwxr-xr-xscripts/enable.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/enable.sh b/scripts/enable.sh
new file mode 100755
index 0000000..24763bb
--- /dev/null
+++ b/scripts/enable.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -ex
+
+vm="$1"
+
+VBoxManage setextradata "$vm" VBoxInternal/Devices/adlib/0/Trusted 1
+VBoxManage setextradata "$vm" VBoxInternal/Devices/adlib/0/Config/MirrorPort "0x220"
+VBoxManage setextradata "$vm" VBoxInternal/Devices/mpu401/0/Trusted 1